Batch Check Access
curl --request POST \
--url https://sync.useparagon.com/api/permissions/{syncId}/batch-check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"checks": [
{
"object": "a657df3b-17e2-5989-bc5f-13ddb7fdab41",
"user": "user:[email protected]"
}
]
}
'import requests
url = "https://sync.useparagon.com/api/permissions/{syncId}/batch-check"
payload = { "checks": [
{
"object": "a657df3b-17e2-5989-bc5f-13ddb7fdab41",
"user": "user:[email protected]"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
checks: [
{object: 'a657df3b-17e2-5989-bc5f-13ddb7fdab41', user: 'user:[email protected]'}
]
})
};
fetch('https://sync.useparagon.com/api/permissions/{syncId}/batch-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": [
{
"allowed": true,
"request": {
"object": "a657df3b-17e2-5989-bc5f-13ddb7fdab41",
"user": "user:[email protected]"
},
"error": "<string>"
}
]
}Permissions API
Batch Check Access
Check access for a list of users and Synced Objects
POST
/
api
/
permissions
/
{syncId}
/
batch-check
Batch Check Access
Authorizations
Paragon User Token. Add to the Authorization header of your requests.
Path Parameters
UUID of the Sync to query, returned from the Enable Sync endpoint.
Body
application/json
A list of access checks to perform between users and Synced Objects.
Show child attributes
Show child attributes
Response
Batch access check result
Show child attributes
Show child attributes
Was this page helpful?
⌘I